DSRA_ARRAY_DESC(3)

FUNCTION
dsra_array_desc - Read ASCII representation of an array descriptor.

SYNOPSIS
#include <karma_dsra.h>

array_desc * dsra_array_desc

(Channel channel, unsigned int type)

DESCRIPTION
Read ASCII representation of an array descriptor.

channel
    The channel object to read from.

type
    The type of the array. Legal values for this are: ARRAYP K_ARRAY

RETURN VALUE
A pointer to the array descriptor on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/